<app-loading *ngIf="isLoading"></app-loading>

<nz-card class="header-form m-0" *ngIf="!personalCode">
  <div class="action-breadcrumb-float-right">
<!--    Gửi duyệt-->
    <mb-button
      *ngIf="checkDisplayCode !== ConstantsFormGroup.DCDD && externalApprove && typeAction !== screenType.detail && checkBtnSendToBrower()"
      mbButtonAvailableStyle="BORDER"
      mbButtonSize="LARGE"
      mbButtonText="{{ 'development.proposed-unit.button.sendPropose' | translate }}"
      (click)="sendPropose()"
    >
    </mb-button>
<!-- Ghi nhận đồng ý-->
    <mb-button
      *ngIf="checkDisplayCode !== 2  && !externalApprove && typeAction !== screenType.detail && checkBtnSendToBrower()"
      mbButtonAvailableStyle="BORDER"
      mbButtonSize="LARGE"
      mbButtonText="{{ 'development.proposed-unit.button.sendPropose' | translate }}"
      (click)="acceptPropose()"
    >
    </mb-button>

    <mb-button
      *ngIf="checkDisplayCode !== ConstantsFormGroup.DCDD && typeAction !== screenType.detail && checkBtnSendToBrower()"
      mbButtonAvailableStyle="PRIMARY"
      mbButtonSize="LARGE"
      mbButtonText="{{ 'development.proposed-unit.button.save' | translate }}"
      (click)="save()"
    >
    </mb-button>

    <mb-button
      *ngIf="checkDisplayCode !== ConstantsFormGroup.DCDD && typeAction !== screenType.detail && flowStatusCode === ConstantsFlowStatusCode.CHUAGUI1"
      mbButtonAvailableStyle="DANGER"
      mbButtonSize="LARGE"
      mbButtonText="{{ 'development.proposed-unit.button.delete' | translate }}"
      (click)="delete()"
    >
    </mb-button>

    <mb-button
      *ngIf="typeAction === screenType.detail && checkBtnShowModalWithdraw()"
      (click)="showModalWithdraw(0)"
      mbButtonAvailableStyle="BORDER"
      class="expand-btn"
      mbButtonText="{{ 'development.proposed-unit.proposeMultiple.withdrawPropose' | translate }}"
    >
    </mb-button>

    <!-- Đồng ý, không đồng ý, ý kiến khác của LDDV    -->
    <ng-container *ngIf="checkApproveLDDV() && typeAction === screenType.detail">
      <mb-button
        mbButtonAvailableStyle="PRIMARY"
        mbButtonSize="LARGE"
        mbButtonText="{{ 'development.proposed-unit.button.agreeLeader' | translate }}"
        (click)="agreeLeader()">
      </mb-button>

      <mb-button
        mbButtonAvailableStyle="DANGER"
        mbButtonSize="LARGE"
        mbButtonText="{{ 'development.proposed-unit.button.rejectLeader' | translate }}"
        (click)="rejectLeader()"
        *ngIf="flowStatusCode === this.flowCodeConst.CHODUYET2">
      </mb-button>

      <mb-button
        mbButtonAvailableStyle="BORDER"
        mbButtonSize="LARGE"
        mbButtonText="{{ 'development.proposed-unit.button.withDraw' | translate }}"
        (click)="otherIdea()">
      </mb-button>
    </ng-container>

    <!--duyệt rút đề xuất-->
    <ng-container *ngIf="checkWithdrawBtn() && typeAction === screenType.detail">
      <mb-button
        mbButtonAvailableStyle="PRIMARY"
        mbButtonSize="LARGE"
        mbButtonText="{{ 'development.proposed-unit.button.agreeLeader' | translate }}"
        (click)="agreeWithdrawProposal( 1)">
      </mb-button>

      <mb-button
        mbButtonAvailableStyle="DANGER"
        mbButtonSize="LARGE"
        mbButtonText="{{ 'development.proposed-unit.button.rejectLeader' | translate }}"
        (click)="agreeWithdrawProposal( 2)">
      </mb-button>

      <mb-button
        mbButtonAvailableStyle="BORDER"
        mbButtonSize="LARGE"
        mbButtonText="{{ 'development.proposed-unit.button.otherIdea' | translate }}"
        (click)="agreeWithdrawProposal( 3)">
      </mb-button>
    </ng-container>

    <ng-container *ngIf="screenCodeRouting === screenCodeConst.PTNL && typeAction === screenType.detail">

      <!-- trả lại đề xuất -->
      <mb-button mbButtonAvailableStyle="PRIMARY"
                 mbButtonText="{{ 'development.proposed-unit.button.returnPropose' | translate }}"
                 *ngIf="checkReturnProposeButton()"
                 (click)="showModalReturnPropose()"
      >
      </mb-button>
    </ng-container>

    <!-- Xử lý PTNL   -->
    <mb-button
      mbButtonAvailableStyle="BORDER"
      mbButtonSize="LARGE"
      *ngIf="checkHandleButton()"
      mbButtonText="{{ 'development.proposed-unit.button.handle' | translate }}"
      (click)="handle()">
    </mb-button>


    <mb-button
      mbButtonAvailableStyle="BORDER"
      mbButtonSize="LARGE"
      mbButtonText="{{ 'development.proposed-unit.button.back' | translate }}"
      *ngIf="stateUrl"
      (click)="back()"
    >
    </mb-button>
  </div>

  <ng-container>
    <div nz-row [nzGutter]="[32, 32]" [formGroup]="proposeUnitForm" class="title-recommend">
      <div nz-col class="gutter-row" nzLg="6" *ngIf="typeAction !== screenType.detail">
        <mb-select
          [mbDisable]="typeAction === screenType.update || typeAction === screenType.detail"
          formControlName="formGroup"
          [mbDataSelects]="dataCommon.formGroupList"
          mbKeyLabel="name"
          mbKeyValue="id"
          mbLabelText="{{ 'development.proposed-unit.table.groupForm' | translate }}"
          mbPlaceholder="{{ 'development.proposed-unit.table.groupForm' | translate }}"
        >
        </mb-select>
      </div>
      <div nz-col class="gutter-row" nzLg="6" *ngIf="typeAction === screenType.detail">
    <span class="title-section">{{ 'development.proposed-unit.table.formGroup' | translate }}</span
    ><br />
        <label class="text-label">{{ formGroupNameDetail }}</label>
      </div>

      <div nz-col class="gutter-row" nzLg="6" *ngIf="checkDisplayCode !== ConstantsFormGroup.BO_NHIEM || typeAction === screenType.update">
    <span class="title-section">{{ 'development.proposed-unit.table.proposeCode' | translate }}</span
    ><br />
        <label *ngIf="id" class="text-label">{{ id }}</label>
        <label *ngIf="idAction" class="text-label">{{ idAction }}</label>
      </div>

      <div nz-col class="gutter-row" nzLg="6" *ngIf="checkDisplayCode !== ConstantsFormGroup.BO_NHIEM || typeAction === screenType.update">
    <span class="title-section">{{ 'development.proposed-unit.table.statusApprove' | translate }}</span
    ><br />
        <label class="text-label">{{ flowStatusName }}</label>
      </div>

      <div nz-col class="gutter-row" nzLg="6" *ngIf="withdrawNoteName && typeAction === screenType.detail">
    <span class="title-section">{{ 'development.proposed-unit.table.notesOnProposalWithdrawal' | translate }}</span
    ><br />
        <label class="text-label">{{ withdrawNoteName }}</label>
      </div>

      <div nz-col class="gutter-row" nzLg="6" *ngIf="statusPublishName && typeAction === screenType.detail">
      <span class="title-section">{{ 'development.promulgate.action.statusPublish' | translate }}</span
      ><br />
        <label class="text-label">{{ statusPublishName }}</label>
      </div>
    </div>
  </ng-container>
</nz-card>



<nz-card [formGroup]="employeeForm" class="card-personal-info" *ngIf="checkDisplayScreen">
  <h3>{{ 'development.proposed-unit.section.personalInfo' | translate }}</h3>
  <div [nzGutter]="[32, 24]" nz-row>
    <div class="gutter-row" nz-col nzLg="6">
      <span class="emp-infoTitle">{{
        'development.proposed-unit.table.empCode' | translate
        }}</span
      ><br />
      <span class="text-label">{{ employeeForm.get('empCode')?.value }}</span>
    </div>
    <div class="gutter-row" nz-col nzLg="6">
      <span class="emp-infoTitle">{{
        'development.proposed-unit.table.empName' | translate
        }}</span
      ><br />
      <span class="text-label">{{ employeeForm.get('fullName')?.value }}</span>
    </div>
    <div class="gutter-row" nz-col nzLg="6">
      <span class="emp-infoTitle">{{
        'development.proposed-unit.detail.employee.joinCompanyDate' | translate
        }}</span
      ><br />
      <span class="text-label">{{
        employeeForm.get('joinCompanyDate')?.value
        }}</span>
    </div>
    <div class="gutter-row" nz-col nzLg="6">
      <span class="emp-infoTitle">{{
        'development.proposed-unit.detail.employee.birthday' | translate
        }}</span
      ><br />
      <span class="text-label">{{
        employeeForm.get('dateOfBirth')?.value
        }}</span>
    </div>

    <!-- Row 2 -->

    <div class="gutter-row" nz-col nzLg="6" class="seeMore">
      <span class="emp-infoTitle">{{
        'development.proposed-unit.table.title' | translate
        }}</span
      ><br />
      <span class="text-label">{{ employeeForm.get('jobName')?.value }}</span>
    </div>

    <div class="gutter-row" nz-col nzLg="6" class="seeMore">
      <span class="emp-infoTitle">{{
        'development.proposed-unit.table.level' | translate
        }}</span
      ><br />
      <span class="text-label">{{ employeeForm.get('positionLevel')?.value }}</span>
    </div>

    <div class="gutter-row" nz-col nzLg="12" class="seeMore">
      <span class="emp-infoTitle">{{
        'development.proposed-unit.table.unit' | translate
        }}</span
      ><br />
      <span class="text-label">{{
        employeeForm.get('orgPathName')?.value
        }}</span>
    </div>

    <ng-container *ngIf="isSeeMore">

      <!-- Row 3 -->
      <div class="gutter-row" nz-col nzLg="6" class="seeMore" *ngIf="employeeForm.get('concurrentTitleName')?.value">
        <span class="emp-infoTitle">
          {{ 'development.proposed-unit.table.partTimeTitle' | translate }}</span
        ><br/>
        <span class="text-label">{{ employeeForm.get('concurrentTitleName')?.value }}</span>
      </div>
      <div class="gutter-row" nz-col nzLg="6" class="seeMore" *ngIf="!employeeForm.get('concurrentTitleName')?.value">
      </div>

      <div class="gutter-row" nz-col nzLg="6" class="seeMore" *ngIf="employeeForm.get('concurrentUnitPathName')?.value">
        <span class="emp-infoTitle">
          {{ 'development.proposed-unit.table.unitTimeTitle' | translate }}</span
        ><br/>
        <span class="text-label">{{ employeeForm.get('concurrentUnitPathName')?.value }}</span>
      </div>
      <div class="gutter-row" nz-col nzLg="6" class="seeMore" *ngIf="!employeeForm.get('concurrentUnitPathName')?.value">
      </div>

      <div class="gutter-row" nz-col nzLg="6" class="seeMore" *ngIf="employeeForm.get('concurrentTitleName2')?.value">
        <span class="emp-infoTitle">
          {{ 'development.proposed-unit.table.partTimeTitle2' | translate }}</span
        ><br/>
        <span class="text-label">{{ employeeForm.get('concurrentTitleName2')?.value }}</span>
      </div>
      <div class="gutter-row" nz-col nzLg="6" class="seeMore" *ngIf="!employeeForm.get('concurrentTitleName2')?.value">
      </div>

      <div class="gutter-row" nz-col nzLg="6" class="seeMore" *ngIf="employeeForm.get('concurrentUnitPathName2')?.value">
        <span class="emp-infoTitle">
          {{ 'development.proposed-unit.table.unitTimeTitle2' | translate }}</span
        ><br/>
        <span class="text-label">{{ employeeForm.get('concurrentUnitPathName2')?.value }}</span>
      </div>
      <div class="gutter-row" nz-col nzLg="6" class="seeMore" *ngIf="!employeeForm.get('concurrentUnitPathName2')?.value">
      </div>

      <!-- Row 3 -->
      <div class="gutter-row" nz-col nzLg="6" class="seeMore">
        <span class="emp-infoTitle">{{
          'development.proposed-unit.detail.employee.majorLevelName' | translate
          }}</span
        ><br />
        <span class="text-label">{{
          employeeForm.get('majorLevelName')?.value
          }}</span>
      </div>
      <div class="gutter-row" nz-col nzLg="6" class="seeMore">
        <span class="emp-infoTitle">{{
          'development.proposed-unit.detail.employee.schoolName' | translate
          }}</span
        ><br />
        <span class="text-label">{{
          employeeForm.get('schoolName')?.value
          }}</span>
      </div>
      <div class="gutter-row" nz-col nzLg="6" class="seeMore">
        <span class="emp-infoTitle">{{
          'development.proposed-unit.detail.employee.facultyName' | translate
          }}</span
        ><br />
        <span class="text-label">{{
          employeeForm.get('facultyName')?.value
          }}</span>
      </div>
      <div class="gutter-row" nz-col nzLg="6" class="seeMore">
        <span class="emp-infoTitle">{{
          'development.proposed-unit.detail.employee.qualificationEnglish'
            | translate
          }}</span
        ><br />
        <span class="text-label">{{
          employeeForm.get('qualificationEnglish')?.value
          }}</span>
      </div>
      <div class="gutter-row" nz-col nzLg="6" class="seeMore">
        <span class="emp-infoTitle">{{
          'development.proposed-unit.detail.employee.positionSeniorityMB'
            | translate
          }}</span
        ><br />
        <span class="text-label">{{
          employeeForm.get('seniorityName')?.value
          }}</span>
      </div>
      <div class="gutter-row" nz-col nzLg="6" class="seeMore">
        <span class="emp-infoTitle">{{
          'development.proposed-unit.detail.employee.positionSeniority'
            | translate
          }}</span
        ><br />
        <span class="text-label">{{
          employeeForm.get('posSeniorityName')?.value
          }}</span>
      </div>
      <div class="gutter-row" nz-col nzLg="6" class="seeMore">
        <span class="emp-infoTitle">{{
          dataTableEmpDetail?.periodNameT2 ? ('development.proposed-unit.detail.employee.T2' | translate) + dataTableEmpDetail?.periodNameT2 : ('development.proposed-unit.detail.employee.T2' | translate)
          }}</span
        ><br/>
        <label class="text-label">{{
          employeeForm.get('semesterGradeT2')?.value
          }} {{ employeeForm.get('semesterRankT2')?.value ? ('(' + employeeForm.get('semesterRankT2')?.value + ')') : ''}}</label>
      </div>
      <div class="gutter-row" nz-col nzLg="6" class="seeMore">
        <span class="emp-infoTitle">{{
          dataTableEmpDetail?.periodNameT1 ? ('development.proposed-unit.detail.employee.T1' | translate) + dataTableEmpDetail?.periodNameT1 : ('development.proposed-unit.detail.employee.T1' | translate)
          }}</span
        ><br/>
        <label class="text-label">{{
          employeeForm.get('semesterGradeT1')?.value
          }} {{ employeeForm.get('semesterRankT1')?.value ? ('(' + employeeForm.get('semesterRankT1')?.value + ')') : ''}}</label>
      </div>
      <div class="gutter-row" nz-col nzLg="6" class="seeMore">
        <span class="emp-infoTitle">{{
          'development.proposed-unit.detail.employee.nearestDiscipline'
            | translate
          }}</span
        ><br />
        <label class="text-label">{{
          employeeForm.get('nearestDiscipline')?.value
          }}</label>
      </div>
      <div class="gutter-row" nz-col nzLg="6" class="seeMore">
        <span class="emp-infoTitle">{{
          'development.proposed-unit.detail.employee.endOfDisciplinaryDuration'
            | translate
          }}</span
        ><br />
        <label class="text-label">{{
          employeeForm.get('endOfDisciplinaryDuration')?.value
          }}</label>
      </div>
      <div class="gutter-row" nz-col nzLg="6" class="seeMore">
        <span class="emp-infoTitle">{{
          'development.proposed-unit.detail.employee.ratedCapacity' | translate
          }}</span
        ><br />
        <label class="text-label">{{
          employeeForm.get('ratedCapacity')?.value
          }}</label>
      </div>
      <div class="gutter-row" nz-col nzLg="6" class="seeMore">
        <label class="partyDate" formControlName="partyDate" nz-checkbox [nzDisabled] = 'true'>{{
          'development.proposed-unit.detail.employee.partyDate' | translate
          }}</label>
      </div>
    </ng-container>
  </div>
  <div [nzGutter]="[32, 48]" nz-row>
    <div class="gutter-row" nz-col nzLg="24"></div>
    <div class="gutter-row" nz-col nzLg="8"></div>
    <div class="gutter-row text-center" nz-col nzLg="8">
      <mb-button
        mbButtonAvailableStyle="BORDER"
        mbButtonSize="VERY_LARGE"
        (click)="expandInfoEmp()"
      >
        <span>
          <em nz-icon [nzType]="expandInfoEmpText()"></em>
        </span>
      </mb-button>
    </div>
    <div class="gutter-row" nz-col nzLg="8"></div>
  </div>
</nz-card>

<nz-card id="tab1" *ngIf="checkDisplayScreen" [formGroup]="formSuggestionsPersonal">
  <div nz-row [nzGutter]="[40, 32]">
    <div nz-col nzLg="20">
      <h3>{{ 'development.proposed-unit.table.suggestionsPersonal' | translate }}</h3>
    </div>
    <div nz-col nzLg="4" *ngIf="typeAction !== screenType.create && conditionViolations?.length > 0">
      <div>
        <nz-tag [nzColor]="displayConditionViolation()?.color" class="commentCard__tag">
          {{ displayConditionViolation()?.label }}
        </nz-tag>
      </div>
    </div>
  </div>
  <h4 *ngIf=" +formGroupDetail === ConstantsFormGroup.TGCV">{{ 'development.proposed-unit.table.suggestion' | translate }}</h4>
  <div nz-row [nzGutter]="[16, 16]">
    <div nz-col class="gutter-row" nzLg="12">
      <mb-select-unit
        [mbDisable]="typeAction === screenType.detail || checkDisabledHandleSingle()"
        formControlName="proposeUnit"
        mbLabelText="{{ 'development.promulgate.search.proposeUnit' | translate }}
        <span class='label__required'>*</span>"
        mbPlaceholder="{{ 'development.promulgate.search.proposeUnit' | translate }} "
        (ngModelChange)="onChangeUnit($event?.orgId)"
        [mbType]="isSubmitFormSuggestionsPersonal && formSuggestionsPersonal.controls['proposeUnit'].errors ? 'error' : 'default'"
        [mbShowError]="isSubmitFormSuggestionsPersonal && formSuggestionsPersonal.controls['proposeUnit'].errors != null"
        [mbErrors]="formSuggestionsPersonal.controls['proposeUnit'].errors"
        [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }
          ]"
      ></mb-select-unit>
    </div>
    <div nz-col class="gutter-row" nzLg="12">
      <mb-select
        [mbDisable]="typeAction === screenType.detail || checkDisabledHandleSingle()"
        formControlName="proposeTitle"
        mbKeyLabel="jobName"
        mbKeyValue="jobId"
        mbLabelText="{{ 'development.promulgate.search.proposeTitle' | translate }}
        <span class='label__required'>*</span>"
        mbPlaceholder="{{ 'development.promulgate.search.proposeTitle' | translate }} "
        [mbDataSelects]="jobDTOS"
        [mbType]="isSubmitFormSuggestionsPersonal && formSuggestionsPersonal.controls['proposeTitle'].errors ? 'error' : 'default'"
        [mbShowError]="isSubmitFormSuggestionsPersonal && formSuggestionsPersonal.controls['proposeTitle'].errors != null"
        [mbErrors]="formSuggestionsPersonal.controls['proposeTitle'].errors"
        [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }
          ]"
      ></mb-select>
    </div>
    <div nz-col class="gutter-row" nzLg="12">
    </div>
  </div>

  <div nz-row [nzGutter]="[16, 16]">
    <div nz-col class="gutter-row" nzLg="12">
      <mb-input-text
        [mbDisable]="checkDisplayCode === ConstantsFormGroup.DCDD || typeAction === screenType.detail || checkDisabledHandleSingle()"
        formControlName="proposeReason"
        [mbMaxLength]="500"
        [mbIsTextAre]='true'
        [mbConfig]="{ rows: 4, autoSize: true }"
        mbLabelText="{{ 'development.proposed-unit.table.recommendedReason2' | translate }}
        <span class='label__required'>*</span>"
        mbPlaceholderText="{{ 'development.proposed-unit.table.recommendedReason2' | translate }}"
        [mbType]="isSubmitFormSuggestionsPersonal && formSuggestionsPersonal.controls['proposeReason'].errors ? 'error' : 'default'"
        [mbShowError]="isSubmitFormSuggestionsPersonal && formSuggestionsPersonal.controls['proposeReason'].errors != null"
        [mbErrors]="formSuggestionsPersonal.controls['proposeReason'].errors"
        [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }
          ]"
      ></mb-input-text>
    </div>
    <div nz-col class="gutter-row" nzLg="12">
      <mb-input-text
        [mbDisable]="checkDisplayCode === ConstantsFormGroup.DCDD || typeAction === screenType.detail || checkDisabledHandleSingle()"
        formControlName="commitment"
        [mbMaxLength]="500"
        [mbIsTextAre]='true'
        [mbConfig]="{ rows: 4, autoSize: true }"
        mbLabelText="{{ 'development.proposed-unit.table.personalCommitment' | translate }}
        <span class='label__required'>*</span>"
        mbPlaceholderText="{{ 'development.proposed-unit.table.completeHandover' | translate }}"
        [mbType]="isSubmitFormSuggestionsPersonal && formSuggestionsPersonal.controls['commitment'].errors ? 'error' : 'default'"
        [mbShowError]="isSubmitFormSuggestionsPersonal && formSuggestionsPersonal.controls['commitment'].errors != null"
        [mbErrors]="formSuggestionsPersonal.controls['commitment'].errors"
        [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }
          ]"
      ></mb-input-text>
    </div>
    <div>
      <div nz-col nzLg="24" *ngIf="typeAction !== screenType.create && violationCode !== constantsVoditionsCode.PASSED && conditionViolations?.length > 0">
      <span class="title-section">{{ 'development.proposed-unit.proposeComment.conditionFault' | translate }}</span
      ><br/>
        <div>
          <ul *ngFor="let item of conditionViolations">
            <li>{{ item }}</li>
          </ul>
        </div>
      </div>
    </div>
  </div>
</nz-card>


<nz-card *ngIf="checkDisplayScreen" id="tab3crm">
  <ng-container>
    <div nz-row [nzGutter]="[40, 32]">
      <div nz-col class="gutter-row" nzLg="22" *ngIf="!checkDisabledHandleSingle()">
        <nz-radio-group
          [nzDisabled] = "checkDisplayCode === ConstantsFormGroup.DCDD || typeAction === screenType.detail"
          [(ngModel)]="externalApprove"
          (ngModelChange)="checkReportStatus($event)"
          class="header-form__radio"
        >
          <label nz-radio [nzValue]="true">{{
            'development.proposed-unit.reportCard.approveOnHCM' | translate
            }}</label>
          <label nz-radio [nzValue]="false">{{
            'development.proposed-unit.reportCard.notThroughLeader' | translate
            }}</label>
        </nz-radio-group>
      </div>
      <div nz-col class="gutter-row paddingTopStatement" nzLg="2">
        <mb-button
          *ngIf="!externalApprove "
          (click)="dowloadStatement(0)"
          mbButtonAvailableStyle='PRIMARY'
          class="expand-btn"
          mbButtonText="{{ 'development.proposed-unit.reportCard.printReport' | translate }}"
        >
        </mb-button>
      </div>
    </div>
    <br>
    <h3 *ngIf="!externalApprove">{{ 'development.proposed-unit.proposeMultiple.reportUnit' | translate }}</h3>
    <div
      nz-row
      [nzGutter]="[40, 32]"
      [formGroup]="formReportElement"
      class="infoPropose"
    >
      <div nz-col class="gutter-row paddingTopStatement" nzLg="6">
        <mb-input-text
          *ngIf="!externalApprove"
          [mbDisable]="checkDisplayCode === ConstantsFormGroup.DCDD || typeAction === screenType.detail || checkDisplayReportEdit()"
          mbLabelText="{{ 'development.proposed-unit.reportCard.stateNumber' | translate }}"
          mbPlaceholderText="{{ 'development.proposed-unit.reportCard.stateNumber' | translate }}"
          formControlName="statementNumber"
          [mbMaxLength]="10"
          [mbType]="isSubmitFormReportElement && formReportElement.controls['statementNumber'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitFormReportElement && formReportElement.controls['statementNumber'].errors != null"
          [mbErrors]="formReportElement.controls['statementNumber'].errors"
          [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }
          ]"
        >
        </mb-input-text>
      </div>
      <div nz-col class="gutter-row paddingTopStatement" nzLg="6">
        <mb-date-picker
          *ngIf="!externalApprove"
          [mbDisabledDate]="disabledEndDateSubmission"
          [mbDisabled]="checkDisplayCode === ConstantsFormGroup.DCDD || typeAction === screenType.detail || checkDisplayReportEdit()"
          mbFormat="dd/MM/yyyy"
          mbPlaceholderText="dd/mm/yyyy"
          mbLabelText="{{ 'development.proposed-unit.reportCard.submissionDate' | translate }}"
          formControlName="submissionDate"
          [mbType]="isSubmitFormReportElement && formReportElement.controls['submissionDate'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitFormReportElement && formReportElement.controls['submissionDate'].errors != null"
          [mbErrors]="formReportElement.controls['submissionDate'].errors"
          [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }
          ]"
        >
        </mb-date-picker>
      </div>

      <div nz-col class="gutter-row paddingTopStatement" nzLg="6"></div>
      <div nz-col class="gutter-row paddingTopStatement" nzLg="6" *ngIf="!externalApprove">
        <span class="title-section"> {{ 'development.proposed-unit.reportCard.attachReport' | translate }} </span><br />
        <nz-upload
          [nzDownload]="downloadFile"
          nzListType="text"
          [(nzFileList)]="fileListSelectTTElement"
          [nzBeforeUpload]="beforeUploadTT"
          [nzRemove]="doRemoveFileTT"
          [nzMultiple]="false"
          *ngIf="!hasAgreeUnit && typeAction === screenType.update"
        >
          <mb-button
            mbButtonAvailableStyle='PRIMARY'
            class="reportCard__uploadBtn"
            *ngIf="typeAction === screenType.update && fileListSelectTTElement.length === 0 && !hasAgreeUnit"
          >
            <span>
              <em nz-icon nzType="upload"></em>
            </span>
          </mb-button>
        </nz-upload>
        <a *ngIf="hasAgreeUnit || typeAction === screenType.detail" (click)="downloadFile2(fileElement?.uid, fileElement?.fileName)">
          {{ fileElement?.fileName }}
        </a>
      </div>
      <div nz-col class="gutter-row paddingTopStatement" nzLg="12" *ngIf="checkApproveNoteOrigin()">
        <mb-input-text
          [mbDisable]="checkDisplayCode === ConstantsFormGroup.DCDD || typeAction === screenType.detail || checkDisabledHandleSingle()"
          [mbIsTextAre]='true'
          [mbMaxLength]="100"
          [mbConfig]="{ rows: 4, autoSize: false }"
          formControlName="idea"
          mbLabelText="{{ 'development.proposed-unit.reportCard.apporvedOpinionOfLeader' | translate }}
        <span class='label__required'>*</span>"
          mbPlaceholderText="{{ 'development.proposed-unit.reportCard.apporvedOpinionOfLeader' | translate }}"
          [mbType]="isSubmitFormReportElement && formReportElement.controls['idea'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitFormReportElement && formReportElement.controls['idea'].errors != null"
          [mbErrors]="formReportElement.controls['idea'].errors"
          [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }
          ]"
        ></mb-input-text>
      </div>
    </div>
    <!-- </ng-container> -->

  </ng-container>
</nz-card>

<!-- tờ trình chỉnh sửa của Đon vị -->
<nz-card *ngIf="checkDisplayReportEdit()" id="tab4crm">
  <ng-container>
    <h3 class="reportSectionElement">{{ 'development.proposed-unit.proposeMultiple.reportUnitEdit' | translate }}</h3>
    <div
      nz-row
      [nzGutter]="[40, 32]"
      [formGroup]="formReportElementEdit"
    >
      <div nz-col class="gutter-row paddingTopStatement" nzLg="6">
        <mb-input-text
          [mbDisable]="checkDisplayCode === ConstantsFormGroup.DCDD || typeAction === screenType.detail"
          mbLabelText="{{ 'development.proposed-unit.reportCard.stateNumber' | translate }}"
          mbPlaceholderText="{{ 'development.proposed-unit.reportCard.stateNumber' | translate }}"
          formControlName="statementNumber"
          [mbMaxLength]="10"
          [mbType]="isSubmitFormReportElementEdit && formReportElementEdit.controls['statementNumber'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitFormReportElementEdit && formReportElementEdit.controls['statementNumber'].errors != null"
          [mbErrors]="formReportElementEdit.controls['statementNumber'].errors"
          [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }
          ]"
        >
        </mb-input-text>
      </div>
      <div nz-col class="gutter-row paddingTopStatement" nzLg="6">
        <mb-date-picker
          [mbDisabled]="checkDisplayCode === ConstantsFormGroup.DCDD || typeAction === screenType.detail"
          mbFormat="dd/MM/yyyy"
          mbPlaceholderText="dd/mm/yyyy"
          mbLabelText="{{ 'development.proposed-unit.reportCard.submissionDate' | translate }}"
          formControlName="submissionDate"
          [mbDisabledDate]="disabledEndDateSubmission"
          [mbType]="isSubmitFormReportElementEdit && formReportElementEdit.controls['submissionDate'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitFormReportElementEdit && formReportElementEdit.controls['submissionDate'].errors != null"
          [mbErrors]="formReportElementEdit.controls['submissionDate'].errors"
          [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }
          ]"
        >
        </mb-date-picker>
      </div>
      <div nz-col class="gutter-row paddingTopStatement" nzLg="6"></div>
      <div nz-col class="gutter-row paddingTopStatement" nzLg="6" *ngIf="!externalApprove">
        <span class="title-section"> {{ 'development.proposed-unit.reportCard.attachReport' | translate }} </span><br />
        <nz-upload
          [nzDownload]="downloadFile"
          [nzDisabled]="fileListSelectTTElementEdit.length === 1 && checkDisplayCode === ConstantsFormGroup.DCDD || typeAction === screenType.detail"
          nzListType="text"
          [(nzFileList)]="fileListSelectTTElementEdit"
          [nzBeforeUpload]="beforeUploadTTEdit"
          [nzRemove]="doRemoveFileTTEdit"
          [nzMultiple]="false"
          *ngIf="!checkViewFileElement()"
        >
          <mb-button
            mbButtonAvailableStyle='PRIMARY'
            class="reportCard__uploadBtn"
            *ngIf="typeAction === screenType.update && checkDisplayReportEdit()"
          >
            <span>
              <em nz-icon nzType="upload"></em>
            </span>
          </mb-button>
        </nz-upload>
        <a *ngIf="checkViewFileElement()" (click)="downloadFile2(fileElementEdit?.uid, fileElementEdit?.fileName)">
          {{ fileElementEdit?.fileName }}
        </a>
      </div>
      <div nz-col class="gutter-row paddingTopStatement" nzLg="12" *ngIf="checkApproveNote()">
        <mb-input-text
          [mbDisable]="checkDisplayCode === ConstantsFormGroup.DCDD || typeAction === screenType.detail"
          [mbIsTextAre]='true'
          [mbMaxLength]="100"
          [mbConfig]="{ rows: 4, autoSize: false }"
          formControlName="idea"
          mbLabelText="{{ 'development.proposed-unit.reportCard.apporvedOpinionOfLeader' | translate }}"
          mbPlaceholderText="{{ 'development.proposed-unit.reportCard.apporvedOpinionOfLeader' | translate }}"
          [mbType]="isSubmitFormReportElementEdit && formReportElementEdit.controls['idea'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitFormReportElementEdit && formReportElementEdit.controls['idea'].errors != null"
          [mbErrors]="formReportElementEdit.controls['idea'].errors"
          [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }
          ]"
        ></mb-input-text>
      </div>
      <div nz-col class="gutter-row paddingTopStatement" nzLg="6"></div>
    </div>
  </ng-container>
</nz-card>


<nz-card class="idea" id="idea" *ngIf="checkApproveLDDV()">
  <mb-input-text
    [mbIsTextAre]='true'
    [mbConfig]="{ rows: 4, autoSize: true }"
    [(ngModel)]="note"
    name="note"
    mbLabelText="{{ 'development.proposed-unit.detail.idea' | translate }}"
    mbPlaceholderText="{{ 'development.proposed-unit.detail.idea' | translate }}"
  ></mb-input-text>
</nz-card>

<!--cụm thông tin rút đề xuất chỉ hiện thị, nhập comment-->
<nz-card class="idea" *ngIf="checkBtnWithdrawLDDV() && typeAction === screenType.detail">
  <span class="title-section">{{ 'development.proposed-unit.detail.menu.approrvedProposals' | translate }}</span>
  <div class="withdraw__handle" *ngIf="checkWithdrawTypebtn">
    <nz-radio-group nzDisabled="true" [ngModel]="checkWithdrawType">
      <label class="propose-radio"  nz-radio [nzValue]="0">{{ 'development.proposed-unit.detail.menu.cancelProposal' | translate }}</label>
      <label class="propose-radio" nz-radio [nzValue]="1">{{ 'development.proposed-unit.detail.menu.editProposal' | translate }}</label>
    </nz-radio-group>
  </div>
  <div class="withdraw__handle" *ngIf="!checkWithdrawTypebtn"><span>{{ 'development.proposed-unit.detail.menu.rejectWithdrawProposals' | translate }}</span></div>
  <mb-input-text
    [mbIsTextAre]='true'
    [mbConfig]="{ rows: 4, autoSize: true }"
    [mbDisable]="true"
    [ngModel]="withdrawReason"
    mbLabelText="{{ 'development.proposed-unit.detail.menu.reason' | translate }}"
    mbPlaceholderText="{{ 'development.proposed-unit.detail.menu.reason' | translate }}"
  ></mb-input-text>
  <div>
    <mb-input-text
      [mbIsTextAre]='true'
      [mbConfig]="{ rows: 4, autoSize: true }"
      [(ngModel)]="comment"
      name="comment"
      mbLabelText="{{ 'development.proposed-unit.detail.idea' | translate }}"
      mbPlaceholderText="{{ 'development.proposed-unit.detail.idea' | translate }}"
    ></mb-input-text>
  </div>
</nz-card>

<!-- Lịch sử -->
<nz-card *ngIf="checkDisplayScreen && !personalCode">
  <div nz-row>
    <div nz-col class="gutter-row" nzLg="2" (click)="expandLog()">
      <h3>{{ 'development.proposed-unit.section.proposeLogs' | translate }}</h3>
    </div>
    <div nz-col class="gutter-row" nzLg="1" (click)="expandLog()">
      <span class="iconLog">
        <em nz-icon nzType="{{ iconStatus }}"></em>
      </span>
    </div>
  </div>

  <mb-table-wrap *ngIf="isExpand" [mbTitle]="''" [extra]='false'>
    <mb-table [tableConfig]="tableConfig" [tableData]="proposeLogs"
              [heightTable]="heightTable"
              (changePageNum)='getLog($event)'
    >
    </mb-table>
  </mb-table-wrap>
</nz-card>

<ng-template #dateLog let-actionDate  = 'actionDate'>
  <em nz-icon nzType="calendar" nzTheme="outline" class="calendar" *ngIf="actionDate"></em>
  <span class="sentDate">{{ actionDate | date: 'dd/MM/yyyy HH:mm' }}</span>
</ng-template>



